# Uses of Enum Class
org.apache.lucene.benchmark.byTask.feeds.TrecDocParser.ParsePathType

Packages that use TrecDocParser.ParsePathType
Package
Description
org.apache.lucene.benchmark.byTask.feeds
Sources for benchmark inputs: documents and queries.

- ## Uses of TrecDocParser.ParsePathType in org.apache.lucene.benchmark.byTask.feeds

  Fields in org.apache.lucene.benchmark.byTask.feeds declared as TrecDocParser.ParsePathType
  Modifier and Type
  Field
  Description
  `static final TrecDocParser.ParsePathType`
  TrecDocParser.`DEFAULT_PATH_TYPE`
  trec parser type used for unknown extensions
  Methods in org.apache.lucene.benchmark.byTask.feeds that return TrecDocParser.ParsePathType
  Modifier and Type
  Method
  Description
  `static TrecDocParser.ParsePathType`
  TrecDocParser.`pathType(Path f)`
  Compute the path type of a file by inspecting name of file and its parents
  `static TrecDocParser.ParsePathType`
  TrecDocParser.ParsePathType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrecDocParser.ParsePathType[]`
  TrecDocParser.ParsePathType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.benchmark.byTask.feeds with parameters of type TrecDocParser.ParsePathType
  Modifier and Type
  Method
  Description
  `abstract DocData`
  TrecDocParser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  parse the text prepared in docBuf into a result DocData, no synchronization is required.
  `DocData`
  TrecFBISParser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  `DocData`
  TrecFR94Parser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  `DocData`
  TrecFTParser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  `DocData`
  TrecGov2Parser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  `DocData`
  TrecLATimesParser.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`
  `DocData`
  TrecParserByPath.`parse(DocData docData, String name, TrecContentSource trecSrc, StringBuilder docBuf, TrecDocParser.ParsePathType pathType)`